Public Member Functions | Static Private Member Functions

# BuildDocksDepotWindow Struct Reference

Inheritance diagram for BuildDocksDepotWindow:

## Public Member Functions
| BuildDocksDepotWindow (const WindowDesc *desc, Window *parent)
virtual void | OnPaint ()
| The window must be repainted.
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.
## Static Private Member Functions
static void | UpdateDocksDirection ()

## Detailed Description

Definition at line 480 of file dock_gui.cpp.

## Member Function Documentation

virtual void BuildDocksDepotWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 509 of file dock_gui.cpp.

References _settings_client, AXIS_X, SoundSettings::click_beep, Window::LowerWidget(), Window::RaiseWidget(), Window::SetDirty(), ClientSettings::sound, WID_BDD_X, and WID_BDD_Y.

virtual void BuildDocksDepotWindow::OnPaint | ( |  | ) | `[inline, virtual]`

The window must be repainted.

Note:
  This method should not change any state, it should only use drawing functions.

Reimplemented from Window.

Definition at line 499 of file dock_gui.cpp.

References AXIS_X, AXIS_Y, DEPOT_PART_NORTH, DEPOT_PART_SOUTH, Window::DrawWidgets(), WID_BDD_X, and WID_BDD_Y.

The documentation for this struct was generated from the following file:

- src/dock_gui.cpp